Find an Event
curl --request GET \
--url https://api.virtuoussoftware.com/api/Event/Search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Event/Search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Event/Search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Event/Search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Event/Search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Event/Search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Event/Search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Event/Search';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));[
{
"id": "<integer>",
"address1": "123 Main St",
"address2": "Suite 2",
"city": "Toronto",
"state": "ON",
"postal": "M5V 2T6",
"country": "CA",
"eventViewUrl": "<string>",
"name": "<string>",
"eventType": "<string>",
"locationName": "<string>",
"displayAddress": "<string>",
"geocodeAddress": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"description": "<string>",
"specialInstructions": "<string>",
"inviteOnly": "<boolean>",
"rsvpRequired": "<boolean>",
"totalInvites": "<integer>",
"totalRsvps": "<integer>",
"totalAttended": "<integer>",
"totalGifts": "<integer>",
"totalGiving": "<string>",
"communicationId": "<integer>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"eventContactsUrl": "<string>",
"generosityEventContacts": [
{
"id": "<integer>",
"eventContactUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>"
},
{
"id": "<integer>",
"eventContactUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>"
}
],
"tables": [
"<string>",
"<string>"
],
"meals": [
"<string>",
"<string>"
],
"eventInvitationsUrl": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
},
{
"id": "<integer>",
"address1": null,
"address2": null,
"city": null,
"state": null,
"postal": null,
"country": null,
"eventViewUrl": "<string>",
"name": "<string>",
"eventType": "<string>",
"locationName": "<string>",
"displayAddress": "<string>",
"geocodeAddress": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"description": "<string>",
"specialInstructions": "<string>",
"inviteOnly": "<boolean>",
"rsvpRequired": "<boolean>",
"totalInvites": "<integer>",
"totalRsvps": "<integer>",
"totalAttended": "<integer>",
"totalGifts": "<integer>",
"totalGiving": "<string>",
"communicationId": "<integer>",
"eventContactsUrl": "<string>",
"generosityEventContacts": [
{
"id": "<integer>",
"eventContactUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>"
},
{
"id": "<integer>",
"eventContactUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>"
}
],
"tables": [
"<string>",
"<string>"
],
"meals": [
"<string>",
"<string>"
],
"eventInvitationsUrl": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
]{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Event
Find an Event
GET
/
api
/
Event
/
Search
Find an Event
curl --request GET \
--url https://api.virtuoussoftware.com/api/Event/Search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Event/Search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Event/Search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Event/Search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Event/Search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Event/Search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Event/Search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Event/Search';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));[
{
"id": "<integer>",
"address1": "123 Main St",
"address2": "Suite 2",
"city": "Toronto",
"state": "ON",
"postal": "M5V 2T6",
"country": "CA",
"eventViewUrl": "<string>",
"name": "<string>",
"eventType": "<string>",
"locationName": "<string>",
"displayAddress": "<string>",
"geocodeAddress": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"description": "<string>",
"specialInstructions": "<string>",
"inviteOnly": "<boolean>",
"rsvpRequired": "<boolean>",
"totalInvites": "<integer>",
"totalRsvps": "<integer>",
"totalAttended": "<integer>",
"totalGifts": "<integer>",
"totalGiving": "<string>",
"communicationId": "<integer>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"eventContactsUrl": "<string>",
"generosityEventContacts": [
{
"id": "<integer>",
"eventContactUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>"
},
{
"id": "<integer>",
"eventContactUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>"
}
],
"tables": [
"<string>",
"<string>"
],
"meals": [
"<string>",
"<string>"
],
"eventInvitationsUrl": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
},
{
"id": "<integer>",
"address1": null,
"address2": null,
"city": null,
"state": null,
"postal": null,
"country": null,
"eventViewUrl": "<string>",
"name": "<string>",
"eventType": "<string>",
"locationName": "<string>",
"displayAddress": "<string>",
"geocodeAddress": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"description": "<string>",
"specialInstructions": "<string>",
"inviteOnly": "<boolean>",
"rsvpRequired": "<boolean>",
"totalInvites": "<integer>",
"totalRsvps": "<integer>",
"totalAttended": "<integer>",
"totalGifts": "<integer>",
"totalGiving": "<string>",
"communicationId": "<integer>",
"eventContactsUrl": "<string>",
"generosityEventContacts": [
{
"id": "<integer>",
"eventContactUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>"
},
{
"id": "<integer>",
"eventContactUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>"
}
],
"tables": [
"<string>",
"<string>"
],
"meals": [
"<string>",
"<string>"
],
"eventInvitationsUrl": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
]{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Response
OK
Last modified on April 23, 2026
Was this page helpful?